Ginkgo: gko::matrix::Hybrid< ValueType, IndexType >::column_limit Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::matrix::Hybrid< ValueType, IndexType >::column_limit Class Reference

column_limit is a strategy_type which decides the number of stored elements per row of the ell part by specifying the number of columns. More...

`#include <ginkgo/core/matrix/hybrid.hpp>`

Inheritance diagram for gko::matrix::Hybrid< ValueType, IndexType >::column_limit:
[legend]
Collaboration diagram for gko::matrix::Hybrid< ValueType, IndexType >::column_limit:
[legend]

## Public Member Functions
| column_limit (size_type num_column=0)
| Creates a column_limit strategy.
size_type | compute_ell_num_stored_elements_per_row (array< size_type > *row_nnz) const override
| Computes the number of stored elements per row of the ell part.
auto | get_num_columns () const
| Get the number of columns limit.
Public Member Functions inherited from gko::matrix::Hybrid< ValueType, IndexType >::strategy_type
| strategy_type ()
| Creates a strategy_type.
void | compute_hybrid_config (const array< size_type > &row_nnz, size_type *ell_num_stored_elements_per_row, size_type *coo_nnz)
| Computes the config of the Hybrid matrix (ell_num_stored_elements_per_row and coo_nnz).
size_type | get_ell_num_stored_elements_per_row () const noexcept
| Returns the number of stored elements per row of the ell part.
size_type | get_coo_nnz () const noexcept
| Returns the number of nonzeros of the coo part.

## Detailed Description

template<typename ValueType = default_precision, typename IndexType = int32>
class gko::matrix::Hybrid< ValueType, IndexType >::column_limit

column_limit is a strategy_type which decides the number of stored elements per row of the ell part by specifying the number of columns.

## Constructor & Destructor Documentation

## ◆ column_limit()

template<typename ValueType = default_precision, typename IndexType = int32>

gko::matrix::Hybrid< ValueType, IndexType >::column_limit::column_limit | ( | size_type | num_column = 0 | ) |
| inlineexplicit

Creates a column_limit strategy.

Parameters

  num_column | the specified number of columns of the ell part

## Member Function Documentation

## ◆ compute_ell_num_stored_elements_per_row()

template<typename ValueType = default_precision, typename IndexType = int32>

size_type gko::matrix::Hybrid< ValueType, IndexType >::column_limit::compute_ell_num_stored_elements_per_row | ( | array< size_type > * | row_nnz | ) | const
| inlineoverridevirtual

Computes the number of stored elements per row of the ell part.

Parameters

  row_nnz | the number of nonzeros of each row

Returns
  the number of stored elements per row of the ell part

Implements gko::matrix::Hybrid< ValueType, IndexType >::strategy_type.

## ◆ get_num_columns()

template<typename ValueType = default_precision, typename IndexType = int32>

auto gko::matrix::Hybrid< ValueType, IndexType >::column_limit::get_num_columns | ( |  | ) | const
| inline

Get the number of columns limit.

Returns
  the number of columns limit

The documentation for this class was generated from the following file:

- ginkgo/core/matrix/hybrid.hpp